# Watermark 页面加水印<a class="link-api" style="margin-left:20px;" href="#API"><img style="width:2rem;height:2rem;" src="./to_api.png"/><i class="author">BLQ</i></a>

<demo-block iframeUrl="componentsC/watermark/watermark"></demo-block>

该组件一般用于页面加水印使用。

### 平台差异说明

| 小程序        | h5    |  android  |  ios  |
| :----:   | :----:  | :----: | :----: |
|   √     |    √    |    √    |    √    |

### 下载安装

```vue
npm install @tjdata/s-watermark
```

### 基本使用

```vue
<template>
    <s-watermark>
        <view>
            ...
            页面的内容
        </view>
    </s-watermark>
</template>

<script>
    import sWatermark from "@tjdata/s-watermark"
    export default {
        components: {
            sWatermark
        }
    }
</script>
```


###  <a name="API"></a> API

#### Props
| 参数        | 说明    |  <div style="width:200px">类型</div>  |  默认值  |  可选值  |
| --------   | :-----  | :-------: | :----: | :----: |
|    text    |    水印文字    |    String    |    页面加水印    |    -   |
|    textFont    |    文字字体    |    String    |    italic 16px serif    |    -    |
|    textColor    |    文字颜色    |    String    |    #dddddd    |    -    |
|    bgColor    |    水印的背景颜色    |    String    |    #ffffff    |    -    |
|    rotate    |    文字旋转角度    |    Number    |    -45    |    -    |
|    offWidth    |    文字x轴偏移量    |    Number    |    0    |    -    |
|    offHeight    |    文字y轴偏移量    |    Number    |    0    |    -    |
